Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.theme
Class ViewUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          org.flexdock.plaf.FlexViewComponentUI
              org.flexdock.plaf.theme.ViewUI

All Implemented Interfaces:
  IFlexViewComponentUI, XMLConstants

    public class ViewUI

extends FlexViewComponentUI

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.plaf.FlexViewComponentUI
`creationParameters`

Fields inherited from interface org.flexdock.plaf.IFlexViewComponentUI
`ICON_RESOURCE`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`ViewUI()`

Method Summary
`String` | `getPreferredTitlebarUI()`
`void` | `initializeCreationParameters()`
`void` | `installUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class org.flexdock.plaf.FlexViewComponentUI
`getCreationParameters, setCreationParameters`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewUI

    public ViewUI()

Method Detail

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `ComponentUI`

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `ComponentUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `ComponentUI`

### initializeCreationParameters

    public void initializeCreationParameters()

  Specified by:
    `initializeCreationParameters` in interface `IFlexViewComponentUI`
  Specified by:
    `initializeCreationParameters` in class `FlexViewComponentUI`

### getPreferredTitlebarUI

    public String getPreferredTitlebarUI()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD